+++
date = 2025-06-07
draft = false

title = 'Yices 2'
subtitle = 'SMT Solver'

links = [
    { title = "Homepage", url = "https://yices.csl.sri.com/", icon = 'fa-solid fa-home'},
    { title = "Source Code", url = "https://github.com/SRI-CSL/yices2", icon = 'fa-brands fa-github' },
    # { title = "Documentation", url = "https://yices.csl.sri.com/yices2-documentation.html" }
]

applications = ['SMT Solver', 'SAT Solver']
developers = ['SRI International']
licenses = ['GPLv3']
inputs = ['SMTLIB2', 'Yices 2']
interfaces = ['CLI', 'Python', 'Rust']
maintenance = ['Actively Maintained']

publications = ['Dutertre2014']
+++

Yices is an SMT solver developed by SRI International. It is widely used for checking the satisfiability of logical formulas over various theories. It supports the SMT-LIB standard and its own input language, and provides APIs for several programming languages, making it suitable for research and industrial applications in software and hardware verification.

## APIs and Bindings
This tool is available through the following interfaces:

- **General API:** [Yices API Reference](https://yices.csl.sri.com/doc/index.html)
- **Python bindings:** [yices2 PyPI package](https://pypi.org/project/yices/)
- **Rust bindings:** [yices2 crate on crates.io](https://crates.io/crates/yices2)
